Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/util.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/util.xsl	(revision 23506)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/util.xsl	(revision 24007)
@@ -4,6 +4,5 @@
   xmlns:gslib="http://www.greenstone.org/XSL/Library"
   xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
-  xmlns:util="http://org.greenstone.gsdl3.util.XSLTUtil"
-  exclude-result-prefixes="util gslib gsf">
+  exclude-result-prefixes="gslib gsf">
   
   <!-- some global parameters - these are set by whoever is invoking the transformation -->
@@ -11,4 +10,9 @@
   <xsl:param name="library_name"/>
 
+  <!-- Get rid of XSLT parameters from view -->
+  <xsl:template match="xsltparams/param">
+    <xsl:text></xsl:text>
+  </xsl:template>
+  
   <!-- every pages ................................................. -->
   
@@ -60,15 +64,19 @@
 	  hide_link = document.getElementById("hide");
 	  removeAllChildren(hide_link);
-	  hide_link.appendChild(document.createTextNode("</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'hide_error')"/><xsl:text disable-output-escaping="yes">"));
+	  var theText = getText('hide_error', null);
+	  var hide_text = document.createTextNode(theText);
+	  hide_link.appendChild(hide_text));
 	  } else {
 	  obj.style.display = "none";
 	  hide_link = document.getElementById("hide");
 	  removeAllChildren(hide_link);
-	  hide_link.appendChild(document.createTextNode("</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/><xsl:text disable-output-escaping="yes">"));
+	  var theText = getText('show_error', null);
+	  var show_text = document.createTextNode(theText);
+	  hide_link.appendChild(show_text);
 	  } 
 	  }
 	</xsl:text>
       </script>
-      <p align='right'><a id="hide" href="javascript:toggleHideError(error);"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'show_error')"/></a></p>
+      <p align='right'><a id="hide" href="javascript:toggleHideError(error);"></a></p>
       <div id="error" style="display: none;">
 	<xsl:apply-templates select="descendant::error"/>
@@ -84,5 +92,5 @@
   
   <xsl:template name="poweredByGS3TextBar">
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gs3power')"/> 
+    <span class="getTextFor gs3power">&amp;nbsp;</span>
   </xsl:template>
   
@@ -92,10 +100,10 @@
   <xsl:template name="siteHomePageTitle">
     <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/><xsl:text> </xsl:text>
+    <span class="getTextFor gsdl">&amp;nbsp;</span><xsl:text> </xsl:text>
   </xsl:template>
 
 
   <xsl:template name="selectACollectionTextBar">
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.select_a_collection')"/>
+  	<span class="getTextFor home.select_a_collection">&amp;nbsp;</span>
   </xsl:template>
   
@@ -112,5 +120,5 @@
       <input type="hidden" name="s1.collection" value="all"/>
       <input type="text" name="s1.query" size="20"/>
-      <input type="submit"><xsl:attribute name="value"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.quick_search')"/></xsl:attribute></input>
+      <input type="submit" class="getTextFor null this.value.home.quick_search" />
     </form>
   </xsl:template>
@@ -162,11 +170,6 @@
   
   <xsl:template name="libraryInterfaceLink">
-    <li><a href="{$library_name}?a=p&amp;sa=gli4gs3"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.librarian_interface')"/></a></li>
+    <li><a href="{$library_name}?a=p&amp;sa=gli4gs3"><span class="getTextFor home.librarian_interface">&amp;nbsp;</span></a></li>
   </xsl:template> 
-  
-  
-  <xsl:template name="greenstoneLogoAlternateText">
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
-  </xsl:template>
 
   <!-- about page - collection home ......................... -->
@@ -177,5 +180,4 @@
   <xsl:variable name="this-service" select="/page/pageResponse/service/@name"/>
 
-
   <xsl:template name="aboutCollectionPageTitle">
     <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
@@ -188,5 +190,5 @@
       <xsl:choose>
 	<xsl:when test="$this-element/displayItem[@name='icon']">
-	  <img border="0">
+	  <img border="0" class="getTextFor null this.title.aboutpage">
 	    <xsl:attribute name="src">
 	      <xsl:value-of select="$this-element/metadataList/metadata[@name='httpPath']"/>/images/<xsl:value-of select="$this-element/displayItem[@name='icon']"/>
@@ -194,7 +196,4 @@
 	    <xsl:attribute name="alt">
 	      <xsl:value-of select="$this-element/displayItem[@name='name']"/>
-	    </xsl:attribute>
-	    <xsl:attribute name="title">
-	      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'aboutpage')"/>
 	    </xsl:attribute>
 	  </img>
@@ -209,6 +208,5 @@
 
   <xsl:template name="homeButtonTop">
-    <a href="{$library_name}?a=p&amp;sa=home"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
-      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/></a>
+    <a href="{$library_name}?a=p&amp;sa=home" class="getTextFor home_b this.title.home_tip">&amp;nbsp;</a>
   </xsl:template>
 
@@ -217,10 +215,8 @@
     <xsl:choose>
       <xsl:when test="$pageType='help'">
-	<li><a><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></a></li>
-      </xsl:when>
-      <xsl:otherwise>
-	<li><a href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
-	    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
-	  </a></li>
+	<li><a class="getTextFor help_b"></a></li>
+      </xsl:when>
+      <xsl:otherwise>
+	<li><a href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}" class="getTextFor help_b this.title.help_tip">&amp;nbsp;</a></li>
       </xsl:otherwise>
     </xsl:choose>
@@ -231,10 +227,8 @@
     <xsl:choose>
       <xsl:when test="$pageType='pref'">
-	<li><a><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></a></li>
-      </xsl:when>
-      <xsl:otherwise>
-	<li><a href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
-	    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/>
-	  </a></li>
+	<li><a class="getTextFor pref_b">&amp;nbsp;</a></li>
+      </xsl:when>
+      <xsl:otherwise>
+	<li><a href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}" class="getTextFor pref_b this.title.pref_tip">&amp;nbsp;</a></li>
       </xsl:otherwise>
     </xsl:choose>
@@ -279,11 +273,11 @@
   <xsl:template match="serviceList">
     <xsl:param name="collName"/>
-    <h3><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.services')"/></h3>
+    <h3 class="getTextFor about.services">&amp;nbsp;</h3>
     <xsl:choose>
       <xsl:when test="service">
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.servicehelp')"/>
-      </xsl:when>
-      <xsl:otherwise>
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.noservices')"/>
+		<span class="getTextFor about.servicehelp">&amp;nbsp;</span>
+      </xsl:when>
+      <xsl:otherwise>
+		<span class="getTextFor about.noservices">&amp;nbsp;</span>
       </xsl:otherwise>
     </xsl:choose>
